"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldType = exports.FieldScope = void 0;
/** Enum to represent the Field Types  */
var FieldType;
(function (FieldType) {
    FieldType[FieldType["Text"] = 2] = "Text";
    FieldType[FieldType["Note"] = 3] = "Note";
    FieldType[FieldType["DateTime"] = 4] = "DateTime";
    FieldType[FieldType["Choice"] = 6] = "Choice";
    FieldType[FieldType["Lookup"] = 7] = "Lookup";
    FieldType[FieldType["Boolean"] = 8] = "Boolean";
    FieldType[FieldType["Number"] = 9] = "Number";
    FieldType[FieldType["MultiChoice"] = 15] = "MultiChoice";
    FieldType[FieldType["User"] = 20] = "User";
})(FieldType || (FieldType = {}));
exports.FieldType = FieldType;
/** Interface to represent the scope of the field in SharePoint */
var FieldScope;
(function (FieldScope) {
    FieldScope[FieldScope["ListColumn"] = 0] = "ListColumn";
    FieldScope[FieldScope["SiteColumn"] = 1] = "SiteColumn";
})(FieldScope || (FieldScope = {}));
exports.FieldScope = FieldScope;
